Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class MathValue

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.MathValue

All Implemented Interfaces:
  JDBCValue, Value

public class MathValue
extends java.lang.Object
implements JDBCValue

Value produced by a match operation on two values.

Field Summary
`static java.lang.String` | `ADD`
`static java.lang.String` | `DIVIDE`
`static java.lang.String` | `MOD`
`static java.lang.String` | `MULTIPLY`
`static java.lang.String` | `SUBTRACT`

Constructor Summary
`MathValue(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2, java.lang.String op)` Constructor.

Method Summary
`void` | `appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Append the SQL testing whether this value is null to the given buffer.
`void` | `appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, int index)` Append the SQL for this value to the given buffer.
`void` | `calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)` Calculate and cache the SQL for this value.
`void` | `castTo(java.lang.Class cls)` Cast this value to the given class.
`java.lang.Object` | `getDataStoreValue(java.lang.Object val)` Transform the given value into its datastore equivalent.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins` | `getJoins()` Return the joins for this value.
`void` | `initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select, boolean nullTest)` Initialize the value.
`boolean` | `isVariable()` Return true if this value is a variable.
`int` | `length()` Return the number of SQL elements in this value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final java.lang.String ADD

See Also:
  Constant Field Values

### SUBTRACT

    public static final java.lang.String SUBTRACT

See Also:
  Constant Field Values

### MULTIPLY

    public static final java.lang.String MULTIPLY

See Also:
  Constant Field Values

### DIVIDE

    public static final java.lang.String DIVIDE

See Also:
  Constant Field Values

### MOD

    public static final java.lang.String MOD

See Also:
  Constant Field Values

Constructor Detail

### MathValue

    public MathValue(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1,
                     com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2,
                     java.lang.String op)

  Constructor. Provide the values to operate on, and the operator.

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.

  Specified by:
    `isVariable` in interface `Value`

### initialize

    public void initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                           com.solarmetric.rd.kodo.impl.jdbc.runtime.Select select,
                           boolean nullTest)

  Description copied from interface: `JDBCValue`
  Initialize the value. This method should recursively initialize any sub-values. It should also cache the `Joins` instance containing the joins for this value.

  Specified by:
    `initialize` in interface `JDBCValue`
  Parameters:
    `pm` - the persistence manager for the query
    `select` - used to create `Joins` instances
    `nullTest` - if true, then this value will be compared to null or tested for emptiness

### castTo

    public void castTo(java.lang.Class cls)

  Description copied from interface: `JDBCValue`
  Cast this value to the given class.

  Specified by:
    `castTo` in interface `JDBCValue`

### calculateValue

    public void calculateValue(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                               java.util.Map params,
                               com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue other)

  Description copied from interface: `JDBCValue`
  Calculate and cache the SQL for this value.

  Specified by:
    `calculateValue` in interface `JDBCValue`

### length

    public int length()

  Description copied from interface: `JDBCValue`
  Return the number of SQL elements in this value.

  Specified by:
    `length` in interface `JDBCValue`

### appendTo

    public void appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                         int index)

  Description copied from interface: `JDBCValue`
  Append the SQL for this value to the given buffer.

  Specified by:
    `appendTo` in interface `JDBCValue`

### appendIsEmpty

    public void appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is empty to the given buffer.

  Specified by:
    `appendIsEmpty` in interface `JDBCValue`

### appendIsNull

    public void appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is null to the given buffer.

  Specified by:
    `appendIsNull` in interface `JDBCValue`

### appendIsNotNull

    public void appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is not null to the given buffer.

  Specified by:
    `appendIsNotNull` in interface `JDBCValue`

### getJoins

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins getJoins()

  Description copied from interface: `JDBCValue`
  Return the joins for this value. These joins should be created and cached during the `JDBCValue.initialize(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select, boolean)` method. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree. These joins should not be included in the SQL appended through any of the `append` methods.

  Specified by:
    `getJoins` in interface `JDBCValue`

### getDataStoreValue

    public java.lang.Object getDataStoreValue(java.lang.Object val)

  Description copied from interface: `JDBCValue`
  Transform the given value into its datastore equivalent.

  Specified by:
    `getDataStoreValue` in interface `JDBCValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.